> For the complete documentation index, see [llms.txt](https://docs.mews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mews.com/booking-engine-guide/booking-engine-api/use-cases/availability-blocks.md).

# Availability blocks

Availability blocks are fixed sets of inventory set aside from public availability for private groups such as wedding parties, travel agencies or corporate clients. If you have access to these private blocks, you can use them in the API. To use an availability block, you will need to obtain its `availabilityBlockId`.

## How to obtain availability block ID

You can obtain a unique availability block ID from the Availability Blocks screen in **Mews Operations**, under 'Booking engine link'. Multiple IDs can be created, in case you have multiple booking engine instances.

> Note: This functionality requires the property to have an *Enterprise subscription*.

## How to work with availability blocks

Use [Get availability blocks](/booking-engine-guide/booking-engine-api/operations/availability-blocks.md#get-availability-blocks) to fetch details about your availability block. Check that the current date is between `StartUtc` and `EndUtc` to see if the availability block is valid, or the block has expired. Then you can supply `availabilityBlockId` into all the API operations that accept it (see below). To get the appropriate rate, filter [Rates](/booking-engine-guide/booking-engine-api/operations/hotels.md#rate) with the `rateId` from the fetched availability block details. Only this rate should be available and bookable for this booking engine session.

### Endpoints accepting availability block ID

* [Get availability](/booking-engine-guide/booking-engine-api/operations/hotels.md#get-availability)
* [Get reservations pricing](/booking-engine-guide/booking-engine-api/operations/reservations.md#get-reservations-pricing)
* [Create reservation group](/booking-engine-guide/booking-engine-api/operations/reservation-groups.md#create-reservation-group)

## Further information

For more information about availability blocks, the following guide may be helpful. You can also use the Search function to find other suitable content in the Mews Help system.

* [Creating availability blocks](https://help.mews.com/s/article/Creating-availability-blocks-in-Mews?language=en_US)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mews.com/booking-engine-guide/booking-engine-api/use-cases/availability-blocks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
